From: "Patrick McLean" <chutzpah@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/yappi/
Date: Mon, 4 Jan 2021 22:15:57 +0000 (UTC) [thread overview]
Message-ID: <1609798553.41aea449f656ec991454acb06d4ab81e6733cb0f.chutzpah@gentoo> (raw)
commit: 41aea449f656ec991454acb06d4ab81e6733cb0f
Author: Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Mon Jan 4 22:14:02 2021 +0000
Commit: Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Mon Jan 4 22:15:53 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=41aea449
dev-python/yappi-1.3.2: Version bump
Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>
dev-python/yappi/Manifest | 1 +
dev-python/yappi/yappi-1.3.2.ebuild | 35 +++++++++++++++++++++++++++++++++++
2 files changed, 36 insertions(+)
diff --git a/dev-python/yappi/Manifest b/dev-python/yappi/Manifest
index bd655310b9c..15620f12221 100644
--- a/dev-python/yappi/Manifest
+++ b/dev-python/yappi/Manifest
@@ -1,2 +1,3 @@
DIST yappi-1.2.5.tar.gz 928100 BLAKE2B 1d303226821d53fb215ac29f8363d9f564f9f40096b5ba8f67475c4074012316f523afb6d770cff879038cd333ef7f050b29c015e2dd2e517859f66a0e1f36f3 SHA512 ec784e76b56e8bc0c3cfe07c90d0810fa90d5a7da62f36187e8a09a9d6e01f3c2d74320de3dd3f4bf1d4a9425fee319c7a575a9d35ad5412c1501c934f1ba353
DIST yappi-1.3.0.tar.gz 928100 BLAKE2B 1d303226821d53fb215ac29f8363d9f564f9f40096b5ba8f67475c4074012316f523afb6d770cff879038cd333ef7f050b29c015e2dd2e517859f66a0e1f36f3 SHA512 ec784e76b56e8bc0c3cfe07c90d0810fa90d5a7da62f36187e8a09a9d6e01f3c2d74320de3dd3f4bf1d4a9425fee319c7a575a9d35ad5412c1501c934f1ba353
+DIST yappi-1.3.2.tar.gz 936566 BLAKE2B 55f114b8ed8689944f8146cb283701b41f34e87f3e5104d7d8df239cd2afc24f1ca1bf86f99bf672735677005df6527c83c5306a7902ea45e335134a925d6e18 SHA512 7a555bf6db8d7b9d8b4e36ceda1a40319a3d0aa478c512fb0fbca678dd3966b1facffa7555dca1ffaf07461ed3ab81284bd643e331eb2e6d1ee9c99eab1acb55
diff --git a/dev-python/yappi/yappi-1.3.2.ebuild b/dev-python/yappi/yappi-1.3.2.ebuild
new file mode 100644
index 00000000000..ae71996be05
--- /dev/null
+++ b/dev-python/yappi/yappi-1.3.2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=(python3_{7..9})
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+# no tags on github, no tests on pypi
+COMMIT_HASH="c256f28d3ccc2bc1692a5a090dc8f774c4933c16"
+
+DESCRIPTION="Yet Another Python Profiler"
+HOMEPAGE="https://pypi.org/project/yappi/ https://github.com/sumerc/yappi"
+SRC_URI="https://github.com/sumerc/yappi/archive/${COMMIT_HASH}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-${COMMIT_HASH}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+#RDEPEND="
+# $(python_gen_cond_dep 'dev-python/contextvars[${PYTHON_USEDEP}]' 'python3_6')
+#"
+
+distutils_enable_tests unittest
+
+PATCHES=(
+ "${FILESDIR}/yappi-1.2.5-warnings.patch"
+ "${FILESDIR}/yappi-1.3.0-tests.patch"
+)
+
+python_prepare_all() {
+ cp tests/utils.py "${S}" || die
+ distutils-r1_python_prepare_all
+}
next reply other threads:[~2021-01-04 22:16 UTC|newest]
Thread overview: 60+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-01-04 22:15 Patrick McLean [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-30 12:44 [gentoo-commits] repo/gentoo:master commit in: dev-python/yappi/ Arthur Zamarin
2024-11-30 12:06 Arthur Zamarin
2024-11-30 11:40 Michał Górny
2024-11-23 18:27 Michał Górny
2024-11-23 18:02 Arthur Zamarin
2024-11-23 13:02 Arthur Zamarin
2024-11-23 9:52 Sam James
2024-11-13 6:55 Michał Górny
2024-11-08 4:52 Michał Górny
2023-12-24 17:24 Michał Górny
2023-12-24 17:21 Arthur Zamarin
2023-12-07 12:29 Michał Górny
2023-12-06 17:44 Arthur Zamarin
2023-11-24 15:29 Michał Górny
2023-11-04 18:03 Michał Górny
2023-05-04 17:04 Michał Górny
2022-12-25 17:55 Michał Górny
2022-12-25 17:03 Sam James
2022-12-25 16:45 Sam James
2022-11-17 18:07 Michał Górny
2022-10-31 15:49 Michał Górny
2022-09-07 5:03 Michał Górny
2022-09-06 21:15 Sam James
2022-09-06 21:12 Sam James
2022-08-03 17:30 Arthur Zamarin
2022-06-22 10:16 Agostino Sarubbo
2022-06-22 10:10 Agostino Sarubbo
2022-05-22 16:36 Michał Górny
2022-03-25 0:15 Marek Szuba
2021-11-13 21:24 Michał Górny
2021-11-13 21:09 Jakov Smolić
2021-11-13 12:51 Jakov Smolić
2021-10-06 4:56 Arthur Zamarin
2021-02-26 10:41 Michał Górny
2021-02-26 10:12 Agostino Sarubbo
2021-02-26 8:09 Agostino Sarubbo
2021-02-19 16:42 Michał Górny
2021-02-19 16:11 Sam James
2021-02-19 4:07 Sam James
2021-01-13 14:59 Sam James
2021-01-13 14:59 Sam James
2020-12-16 16:48 Sam James
2020-12-10 22:04 Thomas Deutschmann
2020-08-02 21:08 Georgy Yakovlev
2020-07-12 16:57 Michał Górny
2020-06-04 6:35 Agostino Sarubbo
2020-06-04 6:23 Agostino Sarubbo
2020-05-04 6:16 Mart Raudsepp
2020-03-29 12:22 Michał Górny
2020-02-06 7:10 Michał Górny
2019-05-11 18:17 Matthew Thode
2019-04-09 7:05 Matthew Thode
2018-01-06 13:39 Michał Górny
2017-05-24 14:16 Manuel Rüger
2017-05-02 17:43 Michał Górny
2016-03-02 9:22 Patrick Lauer
2015-09-11 1:13 Patrick McLean
2015-09-10 20:47 Patrick McLean
2015-09-10 20:42 Patrick McLean
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1609798553.41aea449f656ec991454acb06d4ab81e6733cb0f.chutzpah@gentoo \
--to=chutzpah@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox